<?php
include_once("../header.php");
$id_ruta = $_GET["id_ruta"];

?>
<style>
label{
	font-size:18px;
}
</style>
<body style="background:white">
    <br>
<div class="container">
	
<div class="row">
<div class="col-md-8 col-md-offset-2">

	<hr> 
	
		  <div class="panel panel-warning">
			<div class="panel-heading"><h2>Registro de Rutas</h2></div>
			<div class="panel-body">
			
	<div class="row mt-2">
		<div class="col-md-2">
			<label>Id</label>
		</div>

		<div class="col-md-2">
			<input value="<?php echo $id_ruta?>" type="text" id="id_ruta" name="id_ruta" class="form-control" readonly> 
				
			
		</div>
				
</div>


	<div class="row mt-2">
		<div class="col-md-2">
			<label>Nombre</label>
		</div>

		<div class="col-md-10">
			<input value="<?php echo $nombre?>" type="text" id="nombre" name="nombre" class="form-control"> 
				
			
		</div>
				
</div>

	<div class="row mt-2">
		

		<div class="col-md-12">
			<button onClick="grabar()" class="btn btn-warning"> Grabar</button>
				<a href="javascript:void(0)" onClick="eliminar()" class="btn btn-default"> Eliminar</a>
			<a href="rutas.php" class="btn btn-default"> Volver atras</a>	
			
	</div>
</div>


  
	</div>	
	
 </div>  
  </div> 
  <?php
  include_once("../footer.php");
  ?>
<script type="text/javascript">
	function grabar(){
		var param;
		param="nombre="+$("#nombre").val()
		param+="&accion=grabar";
		param+="&id_ruta="+$("#id_ruta").val()
		if(nombre.value==""){
			alert("**DEBE COMPLETAR TODA LA INFORMACION!!**");
			return 
		}
		$(".btn").prop("disabled", true);
		window.location.href='nueva_ruta.php?'+param;

	}

	function eliminar(){
		if(!confirm("Seguro de eliminar este registro?")){
			return;
		}
		
		var param;
		
		param="accion=eliminar";
		param+="&id_ruta="+$("#id_ruta").val()
		if(nombre.value==""){
			alert("**SELECCIONE UN REGISTRO!!**");
			return 
		}
		$(".btn").prop("disabled", true);
		window.location.href='nueva_ruta.php?'+param;

	}
</script>



<?php
  if($_GET["accion"]=="grabar"){
			if(isset($_GET["nombre"])){
			include_once 'src/config.php';
		
			if($_GET["id_ruta"]==""){
			mysql_query("insert into rutas
				set sector='".$_GET['nombre']."'") or die (mysql_error());
			}else{
				mysql_query("update rutas 	set sector='".$_GET['nombre']."' where id_ruta='".$_GET['id_ruta']."'") or die (mysql_error());
			
			}
			mysql_query("delete from rutas where sector=''") or die (mysql_error());
			echo "<script>window.location.href='rutas.php'</script>";
			
		 }
 }
 
  if($_GET["accion"]=="eliminar"){
 	include_once 'src/config.php';
    if($_GET["id_ruta"]!=""){
 	mysql_query("delete from rutas where id_ruta='".$_GET['id_ruta']."'") or die (mysql_error());
	}
	echo "<script>window.location.href='rutas.php'</script>";
 	
 }
?>